#docker-compose.yml

version: "3.3"
services:

  ecodms:
          #image: ecodms/allinone-18.09
    image: ecodms/ecodms
    logging:
      driver: loki
      options:
        loki-url: "http://localhost:3100/loki/api/v1/push"
    container_name: ecodms
    volumes:
     - /home/icke/ecodms/data:/srv/data
       #     - /mnt/scaninput:/srv/scaninput
     #- /mnt/nextcloud/robert.wiegand/files/Scaninput:/srv/scaninput
     - /mnt/ecodms/backup:/srv/backup
     - /home/icke/ecodms/restore:/srv/restore
       #labels:
       #- com.centurylinklabs.watchtower.enable=true
    ports:
     - "17001:17001"
       #     - "17002:17002"
     - "17004:8097"
     - "17005:8180"
     - "8086:8086"
    restart: unless-stopped
    networks:
      ecodms:
        ipv4_address: 172.20.0.2

networks:
  ecodms:
    driver: bridge
    ipam:
     config:
       - subnet: 172.20.0.0/30
